#version 300 es

layout(location = 0) in vec4 position;
layout(location = 1) in vec4 normal;

uniform mat4 model_mat;
//uniform mat4 view_mat;
uniform mat4 proj_mat;
uniform mat4 light_mat;

out vec3 frag_color;
out vec3 frag_position;
out vec3 frag_normal;
out vec3 frag_pos_in_world;
out vec4 frag_pos_in_light_space;

void main() {
//  fragmentColor = color;
//  fragmentColor = vec4(ambient_color * object_color, 1.0);
    gl_Position = model_mat * position;

    frag_color = vec3(0.204, 0.361, 0.106);
    frag_position = vec3(gl_Position);
    frag_pos_in_light_space = light_mat * gl_Position;
    frag_normal = normalize(mat3(transpose(inverse(model_mat))) * vec3(normal));
    frag_pos_in_world = gl_Position.xyz;
    //gl_Position = view_mat * gl_Position;
    gl_Position = proj_mat * gl_Position;
}
